Summary:	This is a simple test suite for testing php5
Name:		php5-test
Version:	5.0.4
Release:	%mkrel 1
Group:		System/Servers
URL:		http://www.php.net
License:	PHP License
BuildRequires:	php-devel >= 5.0.4
Requires:	php-bz2
Requires:	php-calendar
Requires:	php-cli
Requires:	php-ctype
Requires:	php-curl
Requires:	php-date_time
Requires:	php-dba
Requires:	php-dbase
Requires:	php-dbx
Requires:	php-devel
Requires:	php-dio
Requires:	php-dom
Requires:	php-eaccelerator
Requires:	php-enchant
Requires:	php-esmtp
Requires:	php-event
Requires:	php-exif
Requires:	php-fam
Requires:	php-ffmpeg
Requires:	php-fileinfo
Requires:	php-filepro
Requires:	php-ftp
Requires:	php-gd
Requires:	php-gettext
Requires:	php-gmp
Requires:	php-iconv
Requires:	php-id3
Requires:	php-idn
Requires:	php-imap
Requires:	php-imlib2
Requires:	php-ini
Requires:	php-ldap
Requires:	php-mbstring
Requires:	php-mcache
Requires:	php-mcrypt
Requires:	php-mhash
Requires:	php-ming
Requires:	php-mnogosearch
Requires:	php-mssql
Requires:	php-mysql
Requires:	php-mysqli
Requires:	php-ncurses
Requires:	php-newt
Requires:	php-odbc
Requires:	php-oggvorbis
Requires:	php-pam_auth
Requires:	php-pcntl
Requires:	php-pcre
Requires:	php-pgsql
Requires:	php-posix
Requires:	php-pspell
Requires:	php-radius
Requires:	php-readline
Requires:	php-recode
Requires:	php-ruli
Requires:	php-sasl
Requires:	php-session
Requires:	php-shmop
Requires:	php-simplexml
Requires:	php-smbauth
Requires:	php-snmp
Requires:	php-soap
Requires:	php-sockets
Requires:	php-sqlite
Requires:	php-ssh2
Requires:	php-sysvmsg
Requires:	php-sysvsem
Requires:	php-sysvshm
Requires:	php-tclink
Requires:	php-tcpwrap
Requires:	php-tidy
Requires:	php-tokenizer
Requires:	php-translit
Requires:	php-xattr
Requires:	php-xdebug
Requires:	php-xml
Requires:	php-xmlrpc
Requires:	php-xsl
Requires:	php-yaz
Requires:	php-yp
Requires:	php-zip
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is a simple test suite for testing php5

%prep

%setup -c -T

%build

cat > php5-test << EOF
#!/bin/bash
TMPF=\`mktemp -d \$TMPDIR/php5-test-XXXXXX\`
echo "Using directory \$TMPF to run tests"
cd \$TMPF
cp -a /usr/src/php-devel/* .
find extensions -type f -name '*.phpt' > bundled_extensions.txt
extra_extensions=\`find /usr/share/doc/php-* -type d -name 'tests' | sed -e 's/\/tests//'\`
mkdir -p extra_extensions
cp -rp \$extra_extensions extra_extensions/
find extra_extensions -type f -name '*.phpt' > extra_extensions.txt

echo "==============================================================================="
echo "Running standard tests"
TEST_PHP_EXECUTABLE='/usr/bin/php' /usr/bin/php run-tests.php

echo "==============================================================================="
echo "Running tests for the bundled extensions"
TEST_PHP_EXECUTABLE='/usr/bin/php' /usr/bin/php run-tests.php -l bundled_extensions.txt
echo "==============================================================================="
echo "Done... You must now evaluate any failed test."
echo "The failed tests are saved into the bundled_extensions.txt file"
echo "To run these execute:"
echo "TEST_PHP_EXECUTABLE='/usr/bin/php' /usr/bin/php run-tests.php -l bundled_extensions.txt"

echo "==============================================================================="
echo "Running tests (if any) for the extra extensions"
TEST_PHP_EXECUTABLE='/usr/bin/php' /usr/bin/php run-tests.php -l extra_extensions.txt
echo "==============================================================================="
echo "Done... You must now evaluate any failed test."
echo "The failed tests are saved into the extra_extensions.txt file"
echo "To run these execute:"
echo "TEST_PHP_EXECUTABLE='/usr/bin/php' /usr/bin/php run-tests.php -l extra_extensions.txt"

echo "==============================================================================="
echo " All tests has now been run."
echo " You must manually clean the created test directory, like so:"
echo " rm -rf \$TMPF"
echo "==============================================================================="

EOF

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_bindir}

install -m0755 php5-test %{buildroot}%{_bindir}

cat > README.MDK << EOF
The Mandriva PHP test suite
---------------------------

To run the test suite simply execute the %{_bindir}/php5-test 
script.

EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README.MDK
%{_bindir}/php5-test

%changelog
* Fri Jun 10 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdk
- initial Mandriva package
